# $Revision: 1.3 $, $Date: 2001/04/26 23:33:32 $
Summary:	EQuation ASCII renderer
Summary(pl):	Program wywietlajcy rwnania jako ASCII
Name:		eqascii
Version:	0.3.1
Release:	2
License:	GPL
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(pl):	Aplikacje/Tekst
Source0:	http://dione.ids.pl/~pborys/software/linux/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eqascii is an ascii equation renderer, which as a command argument
accepts an equation in a form similar to LaTeX equation description.
It outputs the result to stdout.

%description -l pl
eqascii jest programem wywietlajcym rwnania przy uyciu znakw
ASCII, przyjmujcym rwnania w notacji podobnej do LaTeXa.

%package devel
Summary:	EQuation ASCII renderer for programmers
Summary(pl):	Biblioteka do zamiany rwna na posta ASCII
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
# note:	there is no reason to require eqascii

%description devel
Package contains static library, header file and documentation useful
for developing programs that draw equations in text mode.

%description devel -l pl
Pakiet zawiera bibliotek statyczn, plik nagwkowy i dokumentacj
przydatne przy pisaniu programw wywietlajcych wzory jako ASCII.

%prep
%setup -q -n %{name}

%build
%{__make} DEBUG="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir},%{_mandir}/man{1,3}}

install eqascii $RPM_BUILD_ROOT%{_bindir}
install eqascii.1 $RPM_BUILD_ROOT%{_mandir}/man1
install eqascii.3 $RPM_BUILD_ROOT%{_mandir}/man3
install eqascii.a $RPM_BUILD_ROOT%{_libdir}
install eqascii.h $RPM_BUILD_ROOT%{_includedir}

gzip -9nf HISTORY

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz test
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_includedir}/*.h
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: eqascii.spec,v $
Revision 1.3  2001/04/26 23:33:32  qboosh
- devel subpackage (static library, header file, man3)
- release 2

Revision 1.2  2001/04/24 01:57:29  kloczek
- updated to 0.3.1.

Revision 1.1  2001/04/05 22:39:19  qboosh
- new
